# Uses of Enum
org.eclipse.birt.chart.model.attribute.ChartType

Packages that use ChartType
Package
Description
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.

## Uses of ChartType in org.eclipse.birt.chart.model.attribute

Fields in org.eclipse.birt.chart.model.attribute with type parameters of type ChartType
Modifier and Type
Field
Description
`static final List<ChartType>`
ChartType.`VALUES`
A public read-only list of all the 'Chart Type' enumerators.
Methods in org.eclipse.birt.chart.model.attribute that return ChartType
Modifier and Type
Method
Description
`static ChartType`
ChartType.`get(int value)`
Returns the 'Chart Type' literal with the specified integer value.
`static ChartType`
ChartType.`get(String literal)`
Returns the 'Chart Type' literal with the specified literal value.
`static ChartType`
ChartType.`getByName(String name)`
Returns the 'Chart Type' literal with the specified name.
`static ChartType`
ChartType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ChartType[]`
ChartType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

## Uses of ChartType in org.eclipse.birt.chart.model.attribute.impl

Methods in org.eclipse.birt.chart.model.attribute.impl that return ChartType
Modifier and Type
Method
Description
`ChartType`
AttributeFactoryImpl.`createChartTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`ChartType`
AttributeFactoryImpl.`createChartTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`